cURL
curl --request GET \
--url https://api.eka.care/abdm/uhi/v1/physical-consultation/booking/confirm \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.eka.care/abdm/uhi/v1/physical-consultation/booking/confirm"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.eka.care/abdm/uhi/v1/physical-consultation/booking/confirm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"doctor_info": {
"education": "<string>",
"experience": "<string>",
"gender": "<string>",
"id": "<string>",
"languages": [
"<string>"
],
"name": "<string>"
},
"order_id": "<string>",
"pin": "<string>",
"slot": {
"end": "<string>",
"slot_id": "<string>",
"start": "<string>"
},
"state": "<string>"
}{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}Physical Consultation
Get confirm
Retrieve booking confirmation details, including the OTP that must be presented to the doctor before consultation.
GET
/
abdm
/
uhi
/
v1
/
physical-consultation
/
booking
/
confirm
cURL
Authorizations
The API requires a Bearer token (JWT) for authentication.
Headers
Eka User ID (OID)
Partner User ID
Partner HIP ID
Query Parameters
Unique Identifier of a Provider in the system.
Unique Identifier of any booking.
Response
OK
Detailed information about the doctor associated with the confirmed appointment
Show child attributes
Show child attributes
Unique identifier of the confirmed order or booking
PIN to start the confirmation
Details of the confirmed slot including start and end time
Show child attributes
Show child attributes
Current Status of the appointment
Was this page helpful?
⌘I

